Can't install libx11-dev on Debian Buster

New to Debian (Or Linux in general)? Ask your questions here!

Can't install libx11-dev on Debian Buster

Postby v45ch3 » 2020-05-11 19:49

I would like to install this and several other dependencies that are preventing me from installing qt5-style-kvantum. When I try to install them from terminal it says that they cannot locate the package. The following is the ONLY line that I have on my sources.list file:

deb-src http://httpredir.debian.org/debian stretch-updates main contrib non-free

Is that correct? I'm sorry but it seems that there should be more lines right? I'm new to linux so I am not sure.

My DE is KDE

Thanks!
v45ch3
 
Posts: 1
Joined: 2020-05-11 19:46

Re: Can't install libx11-dev on Debian Buster

Postby kedaha » 2020-05-11 21:22

Hi,
v45ch3 wrote:The following is the ONLY line that I have on my sources.list file:

deb-src http://httpredir.debian.org/debian stretch-updates main contrib non-free

What's that doing there if you have Debian Buster?
v45ch3 wrote:Is that correct? I'm sorry but it seems that there should be more lines right? I'm new to linux so I am not sure.

No, it's not correct at all.
There certainly should be more lines. It should look like this Example_sources.list.
"Please accept my resignation. I don’t care to belong to any club that will have me as a member".—Groucho Marx
User avatar
kedaha
 
Posts: 3102
Joined: 2008-05-24 12:26


Return to Beginners Questions

Who is online

Users browsing this forum: No registered users and 9 guests

fashionable